Subject: [p2p-sip] Draft charter for possible P2PSIP WG

From: philip_matthews at magma.ca (Philip Matthews)
Date: Mon, 23 Jan 2006 10:46:33 -0500

On 20-Jan-06, at 18:50 , David Barrett wrote:

>> -----Original Message-----
>> From: Philip Matthews
>>
>> What I see us (the P2P-SIP group) doing is specifying the protocol
>> used between the Rendezvous Server,
>> peer P, and node X.  Then some P2P-SIP networks may decide to use one
>> server, and other networks
>> may decide to use another server. Node X will then have to know (a)
>> which server to contact, (b) the name
>> of the P2P-SIP network it wishes to join, and (c) the password (if
>> any) to join.
>
> I think I agree with this, but I'm unclear what you are specifically
> proposing.  Are you suggesting the P2P-SIP group:
>
> a) Adjust SIP to implicitly solve the NAT penetration issues,  
> thereby making
> every SIP proxy naturally serve as a "rendezvous server",  
> ultimately doing
> away with STUN, TURN, and ICE entirely?
> 	- (Incidentally, I think this is the right course.)
>
> b) Create a new protocol that replaces STUN, TURN, and ICE, then  
> implement
> this new protocol in a new "rendezvous server" that is separate  
> from the SIP
> proxy, and then find a way to bridge SIP and this new server?
>
> c) Keep STUN, TURN, ICE, and SIP they way they are, but create a new
> protocol that somehow simplifies the NAT penetration issue?
>
> Which of these is the closest?
>
> -david
>

My proposal is closest to (c).

The protocol that I was talking about was a protocol for a peer to  
use when talking
with a Rendezvous Server. It is a protocol that a node X, which wants  
to join some
P2P SIP network N but doesn't know anyone currently in the network,  
can use to
communicate with a Rendezvous Server and create a communication  
channel with
some random peer P in the P2P SIP network.

One could call it an "initial introduction protocol". Once node X can  
communicate with peer P,
it can then learn about other peers in the P2P SIP network and fully  
join the overlay.

This protocol is NOT a replacement for ICE. ICE is a protocol for  
creating a communication
channel for the media stream between two phones.  A P2P SIP system  
still needs
ICE (or something equivalent).

- Philip